$(document).ready(function() {

	var files = {
		PRELOADER : '/0-Preloader',
		CED : '/1-CED',
		DNM : '/2-DNM',
		DAC : '/3-DAC',
		DSP : '/4-DSP',
		DECS : '/5-DECS'
	};

	/**
	* @parm {string} file - id to load
	*/
	var loadHypeFile = function(id) {

		// Appends
		var newPath = window.location.href;
		var idx = newPath.indexOf('/index.html');
		
		if(idx !== -1) {
			newPath = newPath.substring(0, idx);
			newPath += '/';
		}
	
		var finalPath = newPath + 'assets/hype_files' + files[id] + '/index.html';
 		var markup = '<iframe class="wrapper" src="' + finalPath + '" />';
 	
 		$('#iframe--wrapper').empty();
 		$('#iframe--wrapper').append(markup);
	
		$('#DECS-Wrapper a').removeClass('showing');
		$('#'+id).addClass('showing');
	};


	var init = function() {
		
		// Register clicks
		$('#DECS-Wrapper a').click(function(e) {
			var data = $(e.currentTarget).data('id');
			loadHypeFile(data);
		});

		// Activate inital item
		loadHypeFile('PRELOADER');
		
		// Cancel welcome message after 3000MS
		setTimeout(function(){ loadHypeFile('CED') }, 6000);
	};

	init();
});